## SwClientLastfm

SwClientLastfm

## Functions

SwClientLastfm * | sw_client_lastfm_new ()
void | sw_client_lastfm_now_playing ()
void | sw_client_lastfm_submit_track ()

## Types and Values

| SwClientLastfm
| SwClientLastfmClass

## Object Hierarchy

        GObject
        ╰── SwClientLastfm

## Description

## Functions

### sw_client_lastfm_new ()

    SwClientLastfm *
    sw_client_lastfm_new (void);

### sw_client_lastfm_now_playing ()

    void
    sw_client_lastfm_now_playing (SwClientLastfm *lastfm,
                                  const char *artist,
                                  const char *album,
                                  const char *track,
                                  guint32 length,
                                  guint32 tracknumber,
                                  const char *musicbrainz_id);

### sw_client_lastfm_submit_track ()

    void
    sw_client_lastfm_submit_track (SwClientLastfm *lastfm,
                                   const char *artist,
                                   const char *album,
                                   const char *track,
                                   guint64 time,
                                   const char *source,
                                   const char *rating,
                                   guint32 length,
                                   guint32 tracknumber,
                                   const char *musicbrainz_id);

## Types and Values

### SwClientLastfm

    typedef struct _SwClientLastfm SwClientLastfm;

### SwClientLastfmClass

    typedef struct {
      GObjectClass parent_class;
    } SwClientLastfmClass;